aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorChristoph Spielmann <spielc@gmail.com>2009-03-12 11:27:44 +0000
committerChristoph Spielmann <spielc@gmail.com>2009-03-12 11:27:44 +0000
commitebc4368735fff81f87fdfd28d441348891dd015b (patch)
tree076c53b91f4a0699da3d3d156faf799d4438b7c8 /eclass
parentVersion bump of dbus-glib (diff)
downloadembedded-cross-ebc4368735fff81f87fdfd28d441348891dd015b.tar.gz
embedded-cross-ebc4368735fff81f87fdfd28d441348891dd015b.tar.bz2
embedded-cross-ebc4368735fff81f87fdfd28d441348891dd015b.zip
eclass for building of shr-related software
Diffstat (limited to 'eclass')
-rw-r--r--eclass/shr.eclass30
1 files changed, 30 insertions, 0 deletions
diff --git a/eclass/shr.eclass b/eclass/shr.eclass
new file mode 100644
index 0000000..45fc5ef
--- /dev/null
+++ b/eclass/shr.eclass
@@ -0,0 +1,30 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit autotools eutils git
+
+EGIT_REPO_URI="http://shr.bearstech.com/repo/shr.git"
+EGIT_TREE="10c44ec2d1a86efc2670671655715707814ccdaf"
+EGIT_PROJECT="${PN}"
+
+shr_src_unpack() {
+ git_src_unpack
+ cd "${S}/${PROJECT_NAME}"
+ eautoreconf || die "autoreconf failed"
+ glib-gettextize --force --copy || die "glib-gettextize failed"
+}
+
+shr_src_compile() {
+ cd "${S}/${PROJECT_NAME}"
+ econf ${EXTRA_ECONF_OPTS}|| die "econf failed"
+ emake || die "emake failed"
+}
+
+shr_src_install () {
+ cd "${S}/${PROJECT_NAME}"
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc AUTHORS NEWS README
+}
+
+EXPORT_FUNCTIONS src_unpack src_compile src_install